### Method

# ICalGLib Property get_datetime_with_component

since: 3.0.5

#### Declaration [src]

    ICalTime*
    i_cal_property_get_datetime_with_component (
      ICalProperty* prop,
      ICalComponent* comp
    )

#### Description [src]

If the property is a DATE-TIME with a TZID parameter and a corresponding VTIMEZONE is present in the component, the returned component will already be in the correct timezone; otherwise the caller is responsible for converting it.

The `comp` can be NULL, in which case the parent of the `prop` is used to find the corresponding time zone.

Available since: 3.0.5

#### Parameters

`comp`

  Type: `ICalComponent`

  An `ICalComponent`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `ICalTime`

Get a DATE or DATE-TIME property as an `ICalTime`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.